OPENFOAM(1)

NAME
openfoam - OpenFOAM bash(1) session

SYNOPSIS
openfoam [OPTIONS] [application ...]

DESCRIPTION
Activate an OpenFOAM environment in an interactive or non-interactive bash(1) session. If no application is given, an interactive bash session will be used. If an application (optionally with arguments) is provided, the OpenFOAM etc/bashrc file will be sourced from the project directory prior to running the application.

OPTIONS

-c command
    Execute shell commands with OpenFOAM environment

-Dkey=[value]
    Define key/value to pass as a preference

-sp Use single precision for scalar-size

-dp Use double precision for scalar-size

-spdp
    Use single precision for scalar-size, double for solve-scalar size

-int32
    Use 32-bit label-size

-int64
    Use 64-bit label-size

-prefix=DIR
    Specify alternative OpenFOAM project directory

-show-api | -version
    Print META-INFO api value and exit

-show-patch
    Print META-INFO patch value and exit

-show-prefix
    Print project directory and exit

-help
    Print the usage

ARGUMENTS
If arguments remain after option processing, the first argument is assumed to be an application with options and arguments.

FILES
The etc/bashrc file from the OpenFOAM project directory supplies the environment settings.

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2020 OpenCFD Ltd.